Create binding
Creates a binding that associates a service with a port or interface.
Binding Types
- Interface binding: Service is present at an interface (IP address) without a specific port. Used for non-port-bound services like gateways.
- Port binding (specific ip_address): Service listens on a specific port on a specific interface.
- Port binding (all ip_addresses): Service listens on a specific port on all ip_addresses
(
ip_address_id: null).
Validation and Deduplication Rules
- Conflict detection: Interface bindings conflict with port bindings on the same interface. A port binding on all ip_addresses conflicts with any interface binding for the same service.
- All-interfaces precedence: When creating a port binding with
ip_address_id: null, any existing specific-interface bindings for the same port are automatically removed, as they are superseded by the all-interfaces binding.
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Association between a service and a port / interface that the service is listening on
IP address binding: Service is present at an IP address without a specific port. Used for non-port-bound services like gateways. Conflicts with port bindings on the same IP address.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/bindings" \ -H "Content-Type: application/json" \ -d '{ "created_at": "2026-10-30T13:27:50.853389Z", "first_discovery_id": null, "id": "5dc92b21-ce11-4afa-a7b0-57706ea2586d", "ip_address_id": "550e8400-e29b-41d4-a716-446655440005", "last_discovery_id": null, "last_seen_at": "2026-10-30T13:27:50.853389Z", "lineage_id": null, "port_id": "550e8400-e29b-41d4-a716-446655440006", "service_id": "550e8400-e29b-41d4-a716-446655440007", "site_id": "550e8400-e29b-41d4-a716-446655440002", "type": "Port", "updated_at": "2026-10-30T13:27:50.853389Z", "valid_from": "2026-10-30T13:27:50.853389Z", "valid_to": null }'{
"meta": {
"api_version": 1,
"server_version": "0.19.4"
},
"success": true,
"data": {
"created_at": "2026-10-30T13:27:50.908908Z",
"first_discovery_id": null,
"id": "31a88c70-f82f-484f-aa6d-05846c56c340",
"ip_address_id": "550e8400-e29b-41d4-a716-446655440005",
"last_discovery_id": null,
"last_seen_at": "2026-10-30T13:27:50.908908Z",
"lineage_id": null,
"port_id": "550e8400-e29b-41d4-a716-446655440006",
"service_id": "550e8400-e29b-41d4-a716-446655440007",
"site_id": "550e8400-e29b-41d4-a716-446655440002",
"type": "Port",
"updated_at": "2026-10-30T13:27:50.908908Z",
"valid_from": "2026-10-30T13:27:50.908908Z",
"valid_to": null
},
"error": "string"
}{
"meta": {
"api_version": 1,
"server_version": "0.19.4"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}{
"meta": {
"api_version": 1,
"server_version": "0.19.4"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}Product names and logos are trademarks of their respective owners. See credits.
Bulk delete bindings
Previous Page
Update binding
Updates an existing binding. The same conflict detection rules from binding creation apply. ## Validation Rules - **Conflict detection**: The updated binding must not conflict with other bindings on the same service. Interface bindings conflict with port bindings on the same interface.